org.icefaces.ace.component.menucolumn

## Class MenuColumnBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.icefaces.ace.component.menucolumn.MenuColumnBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IMenuColumn
  Direct Known Subclasses:
    MenuColumn

      public abstract class MenuColumnBase
      extends javax.faces.component.UIComponentBase
      implements IMenuColumn

  MenuColumn is nested in a MultiColumnMenu component and represents a column of submenus and menu items.

  For more information, see the MenuColumn Wiki Documentation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `MenuColumnBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuColumnBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAutoflow()` Return the value of the `autoflow` property.
    `java.lang.String` | `getFamily()`
    `int` | `getWidth()` Return the value of the `width` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `void` | `setAutoflow(int autoflow)` Set the value of the `autoflow` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`
    `void` | `setWidth(int width)` Set the value of the `width` property.

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

  - ### Constructor Detail

    - #### MenuColumnBase

          public MenuColumnBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### setAutoflow

          public void setAutoflow(int autoflow)

      Set the value of the `autoflow` property.

      Contents: Maximum number of items in this column. If there are more items than the maximum, new columns will be created as necessary. When the value is 0, there is no limit.

      Specified by:
        `setAutoflow` in interface `IMenuColumn`

    - #### getAutoflow

          public int getAutoflow()

      Return the value of the `autoflow` property.

      Contents: Maximum number of items in this column. If there are more items than the maximum, new columns will be created as necessary. When the value is 0, there is no limit. Default = '0'.

      Specified by:
        `getAutoflow` in interface `IMenuColumn`

    - #### setWidth

          public void setWidth(int width)

      Set the value of the `width` property.

      Contents: Width of the column in pixels.

      Specified by:
        `setWidth` in interface `IMenuColumn`

    - #### getWidth

          public int getWidth()

      Return the value of the `width` property.

      Contents: Width of the column in pixels. Default = '200'.

      Specified by:
        `getWidth` in interface `IMenuColumn`

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.